Page MenuHomePhabricator

[Regression] wpScrolltop feature broken on edit page
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/367656/1 removes the id wpScrolltop from the hidden field, which breaks the function of the javascript code in mediawiki.action.edit.js for wpScrolltop

You can see the missing scrolltip feature when previewing a page. Before that patch set scroll position was recovered after load of the preview. Now the text area always start at the top.

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.30.0-wmf.16Re add wpScrolltop id in EditPage
mediawiki/core : masterRe add wpScrolltop id in EditPage

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 8:24 PM
Addshore triaged this task as High priority.Sep 1 2017, 8:40 AM
TheDJ added a subscriber: TheDJ.Sep 1 2017, 9:03 AM
Addshore claimed this task.Sep 1 2017, 9:30 AM
Addshore moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2017-08-22 board.
Addshore added a project: User-Addshore.

Change 375353 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Re add wpScrolltop id in EditPage

https://gerrit.wikimedia.org/r/375353

Addshore moved this task from Unsorted 💣 to Active 🚁 on the User-Addshore board.

Change 375353 merged by jenkins-bot:
[mediawiki/core@master] Re add wpScrolltop id in EditPage

https://gerrit.wikimedia.org/r/375353

Is this planned for SWAT? If not, it could be closed as resolved. (Tested on beta)

I may as well try and SWAT this on monday.

Change 375518 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.30.0-wmf.16] Re add wpScrolltop id in EditPage

https://gerrit.wikimedia.org/r/375518

No SWATs on mondays so I guess this is Tuesday now

Scheduled for today as a SWAT

Change 375518 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.16] Re add wpScrolltop id in EditPage

https://gerrit.wikimedia.org/r/375518

Mentioned in SAL (#wikimedia-operations) [2017-09-05T14:13:49Z] <zfilipin@tin> Synchronized php-1.30.0-wmf.16/includes/EditPage.php: SWAT: [[gerrit:375518|Re add wpScrolltop id in EditPage (T174723)]] (duration: 00m 45s)

Addshore closed this task as Resolved.Sep 5 2017, 2:15 PM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.